Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.types
Class SetDataType<T>

    java.lang.Object
      org.mule.transformer.types.SimpleDataType<T>
          org.mule.transformer.types.CollectionDataType<T>
              org.mule.transformer.types.SetDataType<T>

All Implemented Interfaces:
  Serializable, Cloneable, DataType<T>

    public class SetDataType<T>

extends CollectionDataType<T>

Defines a Set collection type with item type information

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.transformer.types.SimpleDataType
`encoding, mimeType, type`

Fields inherited from interface org.mule.api.transformer.DataType
`ANY_MIME_TYPE, BYTE_ARRAY_DATA_TYPE, STRING_DATA_TYPE`

Constructor Summary
`SetDataType()`
`SetDataType(Class type)`
`SetDataType(Class type, String mimeType)`

Method Summary

Methods inherited from class org.mule.transformer.types.CollectionDataType
`createFromMethodParam, createFromMethodParam, createFromMethodReturn, createFromMethodReturn, equals, getItemType, getType, hashCode, isCompatibleWith, isParamTypeACollection, isReturnTypeACollection, toString`

Methods inherited from class org.mule.transformer.types.SimpleDataType
`cloneDataType, getEncoding, getMimeType, setEncoding, setMimeType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetDataType

    public SetDataType()

### SetDataType

    public SetDataType(Class type,
                       String mimeType)

### SetDataType

    public SetDataType(Class type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.